/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomTextEvent_H__
#define __GdomTextEvent_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMWindow.h"
#include "gdom/GdomUIEvent.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomTextEvent GdomTextEvent;
typedef struct _GdomTextEventClass GdomTextEventClass;


#define GDOM_TYPE_TEXT_EVENT            (gdom_text_event_get_type())
#define GDOM_TEXT_EVENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_TEXT_EVENT, GdomTextEvent))
#define GDOM_TEXT_EVENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_TEXT_EVENT, GdomTextEvent)Class)
#define GDOM_IS_TEXT_EVENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_TEXT_EVENT))
#define GDOM_IS_TEXT_EVENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_TEXT_EVENT))
#define GDOM_TEXT_EVENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_TEXT_EVENT, GdomTextEventClass))

typedef struct _GdomTextEventPrivate GdomTextEventPrivate;

struct _GdomTextEvent {
    GdomUIEvent parent_instance;
    GdomTextEventPrivate *priv;
};

struct _GdomTextEventClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_text_event_get_type (void);

WEBKIT_API void
gdom_text_event_init_text_event (GdomTextEvent *thiz, gchar * type_arg, gboolean can_bubble_arg, gboolean cancelable_arg, GdomDOMWindow * view_arg, gchar * data_arg);

G_END_DECLS

#endif /* __GdomTextEvent_H__ */
